Bug 594079 - systemtap cannot probe 'scsi.ioentry'
systemtap cannot probe 'scsi.ioentry'
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: systemtap (Show other bugs)
6.0
All Linux
medium Severity high
: rc
: ---
Assigned To: Frank Ch. Eigler
Petr Muller
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-20 10:00 EDT by Jeff Bastian
Modified: 2016-09-19 22:06 EDT (History)
5 users (show)

See Also:
Fixed In Version: systemtap-1.2-3.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-02 15:54:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeff Bastian 2010-05-20 10:00:09 EDT
Description of problem:
The scsi.ioentry event never fires on RHEL 6.0.

Version-Release number of selected component (if applicable):
kernel-2.6.32-25.el6.x86_64
systemtap-1.2-1.el6.x86_64

How reproducible:
every time

Steps to Reproduce:
1. stap -e 'probe scsi.ioentry { print("scsi.ioentry fired\n") }'
2. hurry up and wait
  
Actual results:
it never prints any "scsi.ioentry fired" messages

Expected results:
it should print "scsi.ioentry fired" fairly often and rapidly

Additional info:
This works fine on RHEL 5.5
Comment 2 Frank Ch. Eigler 2010-05-21 13:34:43 EDT
upstream systemtap commit #6fa8e03 appears to correct this; ready for backporting.
Comment 6 releng-rhel@redhat.com 2010-07-02 15:54:28 EDT
Red Hat Enterprise Linux Beta 2 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.